Subject: Re: linux-next: build failure after merge of the xarray tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 22 Feb 2019 00:23:56 +1100

Hi Leon,

On Thu, 21 Feb 2019 13:16:31 +0000 Leon Romanovsky <[email-masked]> wrote:
>
> > The xarray API changes (to xa_alloc and __xa_alloc) have been in
> > linux-next for about 2 weeks ...  
> 
> I looked on the latest update of pulled branch
> http://git.infradead.org/users/willy/linux-dax.git/shortlog/refs/heads/xarray

Yeah, there were 3 commits added today, but the API changing commit is older.

> > It doesn't matter which goes in first, but whoever goes in last should
> > inform Linus about these (now 2) API change fixups.  In fact you should
> > probably both let him know as he sometimes batches up similar groups of
> > merge requests (like fs or net) and doesn't do them in the order they
> > are submitted.  
> 
> OK, we will do.

Thanks.

-- 
Cheers,
Stephen Rothwell